Name:           python-spin-phonon-suite
Version:        1.10.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A package for performing spin-phonon coupling calculations with openMOLCAS, VASP, and Gaussian

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.com/chilton-group/spin_phonon_suite/-/issues
Source:         %{pypi_source spin_phonon_suite}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'spin-phonon-suite' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-spin-phonon-suite
Summary:        %{summary}

%description -n python3-spin-phonon-suite %_description


%prep
%autosetup -p1 -n spin_phonon_suite-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-spin-phonon-suite -f %{pyproject_files}


%changelog
%autochangelog